﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Public PageOne As clsPageOne
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
	PageOne.Initialize
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	Dim Clrs(2) As Int
	Clrs(0) = xui.Color_Blue
	Clrs(1) = xui.Color_ARGB(255, 200, 200, 255)
	SetGradientBackground(Root, Clrs, "TOP_BOTTOM")

	B4XPages.AddPage("PageOne", PageOne)
End Sub

Private Sub B4XPage_Appear
	AnimPage(Root)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub Button1_Click
	B4XPages.ShowPageAndRemovePreviousPages("PageOne")
End Sub

Public Sub AnimPage(pRoot As B4XView)
	pRoot.Visible = False
	Dim Height As Int = pRoot.Height
	pRoot.Height = 0
	pRoot.Visible = True
	pRoot.SetVisibleAnimated(700, True)
	pRoot.SetLayoutAnimated(300, pRoot.Left, pRoot.Top, pRoot.Width, Height)
End Sub

Private Sub SetGradientBackground(pnl As B4XView, Clrs() As Int, Orientation As String)
	Dim bc As BitmapCreator
	bc.Initialize(pnl.Width / xui.Scale, pnl.Height / xui.Scale)
	bc.FillGradient(Clrs, bc.TargetRect, Orientation)
	Dim iv As ImageView
	iv.Initialize("")
	Dim xiv As B4XView = iv
	pnl.AddView(xiv, 0, 0, pnl.Width, pnl.Height)
	xiv.SendToBack
	bc.SetBitmapToImageView(bc.Bitmap, xiv)
End Sub
